#include "person.h"
#include <iostream>

using namespace std;

person::person()
{
	firstname = "";
	middlename = "";
	lastname = "";
	num_persons++;
}

person::person(const string& first, const string& middle, const string& last)
	: firstname(first), middlename(middle), lastname(last)
{
	num_persons++;
}

string person::get_firstname() const
{
	return firstname;
}

string person::get_middlename() const
{
	return middlename;
}

string person::get_lastname() const
{
	return lastname;
}

void person::set_firstname(const string &first)
{
	firstname = first; /* calls copy constructor from string class */
}

void person::set_middlename(const string& middle)
{
	middlename = middle;
}

void person::set_lastname(const string& last)
{
	lastname = last;
}

int person::num_persons = 0;
int person::get_num_persons()
{
	return person::num_persons;
}
