#ifndef PERSON_H_
#define PERSON_H_

#include <string>

using namespace std;

/* Very simple C++ test class.
 * Just a first, middle, and last name, no
 * overloaded operators, destructors, copy constructor.
 * num_persons is a class variable that counts the
 * number of existing persons.
 */

class person
{
public:
	person();
	person(const string& first, const string& middle, const string& last);
	string get_firstname() const;
	string get_middlename() const;
	string get_lastname() const;
	void set_firstname(const string& first);
	void set_middlename(const string& middle);
	void set_lastname(const string& last);
	static int get_num_persons();

private:
	string firstname;
	string middlename;
	string lastname;
	static int num_persons;	
};

#endif /*PERSON_H_*/
