#include "person.h"
#include <iostream>

using namespace std;

int main()
{
	string first;
	string middle;
	string last;
		
	cout << "Test harness for person class -- EMAC, Inc.\n";
	cout << "Enter a first name: ";
	getline(cin, first);
	cout << "Enter a middle name: ";
	getline(cin, middle);
	cout << "Enter a last name: ";
	getline(cin, last);
	
	person p1(first, middle, last);
	person p2;
	
	cout << "Person 1 is: " << p1.get_firstname() << " " << p1.get_middlename() << " "
		<< p1.get_lastname() << endl;
	
	cout << "Creating a copy of the first person\n";
	p2.set_firstname(first); p2.set_middlename(middle); p2.set_lastname(last);
	cout << "Person 2 is: " << p2.get_firstname() << " " << p2.get_middlename() << " "
		<< p2.get_lastname() << endl;
	
	cout << "There are " << person::get_num_persons() << " persons.\n";
	
	return 0;	
}

// EOF
